#!/bin/sh
###########################################################################
#                                                                         #
#                                                                         #
#              Copyright (c) 2006 IskraTEL                                #
#                                                                         #
#                                                                         #
#                                                                         #
#   Name        : remove_alarm.sh                                         #
#                                                                         #
#   Description : shell to remove alarm "Backup software package run"     #
#                                                                         #
#   Position    : /opt/iskratel/etc                                       #
#                                                                         #
#   Code        : QCDH - XAK4866                                          #
#                                                                         #
#   Date        : Avg 2007                                                #
#                                                                         #
#   Author      : Eva Majnik, ITPSD                                       #
#                                                                         #
#   Translation : * None                                                  #
#                                                                         #
#   Remarks     : * None                                                  #
#                                                                         #
#   Revisions   : * None                                                  #
#                                                                         #
###########################################################################

#/****************************************************************/
#/*          UNIX - SCCS  VERSION DESCRIPTION                    */
#/****************************************************************/
# static char unixid[] = "@(#)QCDH.z	1.2	09/10/08	remove_alarm.sh -O-"

LOGGER="logger -s -p user.alert -t remove_alarm.sh --"

if [ -x /opt/iskratel/bin/mwdmsgs ]
then
	/opt/iskratel/bin/mwdmsgs -s EV_REMOVE_ALARM
	if [ $? == 0 ]
	then
		echo "Alarm retreated: Backup software package run." | $LOGGER
	else
		echo "HAM not running, can not remove alarm" | $LOGGER
	fi
else
	echo "Program /opt/iskratel/bin/mwdmsgs does not exist." | $LOGGER
fi
