cat > $GHAMCF << EOF
;/**************************************************************************
; *
; *             Copyright (c) 2005 ISKRATEL
; *
; *  Name        : gham.cf
; *
; *  Description : GHAM configuration file - GEO
; *
; **************************************************************************/

; *** Private GHAM Connection  ***
[General/socket]
; Local MN IP
locip = $mmMnFloatIpAddress1
; Remote MN IP
remip = $mmMnFloatIpAddress2
ghblocport = 9737 ;local TCP port
ghbremport = 9637 ;remote TCP port

; *** All geofloat IPs ***
[General/altips]
; Geofloat MN IP
altip1 = $mmGeoMnFloatIpAddr

[General/GEO]
; Required architecture (TRUE = GEO, FALSE = non-GEO)
GEO = TRUE
; Preferred UNIT (TRUE / FALSE)
PREFERRED = FALSE
; Timeout in seconds to proclame this unit as BUSY in AUTO mode.
TM_REMOTE_DEAD = 600
; Mode of GHAM operation:
; 0: NON-GEO unit configuration (same efect as GEO = FALSE)
; 1: GEO takeover not allowed
; 2: only manual GEO takeover allowed
; 3: automatic and manual GEO takeover allowed
GEO_MODE = 3

[Debug]
; Log every keepal_log-th keep alive message. 0 disables keepalive almost forever.
keepal_log = 0
EOF
